--[[
   Description of pluign, purpose, usage and so on
]]--

----------------------------------
-- Create plugin
local plugin = RW:Plugin("Colors")
if not plugin then return end

----------------------------------
-- Locals 
local AceGUI = LibStub("AceGUI-3.0")


local defaults = {
	profile = {
		PluginEnabled = true,
		
	}
}

----------------------------------
-- Init

function plugin:OnRegister()
	self.db = RW.db:RegisterNamespace("Colors", defaults)
	db = self.db.profile
	
	self.db.RegisterCallback(self, "OnProfileChanged", "Reset")
	self.db.RegisterCallback(self, "OnProfileCopied", "Reset")
	self.db.RegisterCallback(self, "OnProfileReset", "Reset")	
end

function plugin:PluginEnable()
	if not db.PluginEnabled then
		self:Disable()
		return
	end
end

function plugin:PluginDisable()
end

function plugin:Reset()
	db = self.db.profile
end

function plugin:GetOptions()
	return "Plugins", "Colors", self.GetGUI, [[Interface\Icons\INV_Sigil_Mimiron]]
end

function plugin:GetGUI()
	self = self or plugin
	local UIF = LibStub("AceGUI-Factory-1.0"):GetFactory("RW")
	
	local group, label, color, check
	
	group = AceGUI:Create("ScrollFrame")
	group:SetLayout("Flow")
	
	label = UIF:MainTitleLabel("Colors")
	group:AddChild(label)
	
	igroup = UIF:InlineGroup("")
	group:AddChild(igroup)	
	
	label = UIF:NormalText("Set Default colors for some plugins")
	label:SetImage([[Interface\Icons\INV_Sigil_Mimiron]])
	igroup:AddChild(label)
	
	return group
end
